import ones from './ones'

it('should exist', () => {
  expect(ones).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof ones).toBe('function')
})

it('should accept 1 argument', () => {
  expect(ones).toHaveLength(1)
})

test.each`
  value | display | name
  ${0}  | ${'0'}  | ${'zero'}
  ${1}  | ${'1'}  | ${'ein'}
  ${2}  | ${'2'}  | ${'zwei'}
  ${3}  | ${'3'}  | ${'drei'}
  ${4}  | ${'4'}  | ${'vier'}
  ${5}  | ${'5'}  | ${'fünf'}
  ${6}  | ${'6'}  | ${'sechs'}
  ${7}  | ${'7'}  | ${'sieben'}
  ${8}  | ${'8'}  | ${'acht'}
  ${9}  | ${'9'}  | ${'neun'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(ones(value)).toBe(name)
})
