import { NumberSystem } from '../../common'
import getKiloCount from './getKiloCount'
import getEuropeanLongKiloName from './getEuropeanLongKiloName'
import joinKilo from './joinKilo'

const numberSystem: NumberSystem = {
  getKiloCount,
  getKiloName: {
    europeanLong: getEuropeanLongKiloName,
  },
  joinKilo,
}

export default numberSystem
