import hundredTimes from './hundredTimes'

it('should exist', () => {
  expect(hundredTimes).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof hundredTimes).toBe('function')
})

it('should accept 1 argument', () => {
  expect(hundredTimes).toHaveLength(1)
})

test.each`
  value | display  | name
  ${1}  | ${'100'} | ${'one hundred'}
  ${2}  | ${'200'} | ${'two hundred'}
  ${3}  | ${'300'} | ${'three hundred'}
  ${4}  | ${'400'} | ${'four hundred'}
  ${5}  | ${'500'} | ${'five hundred'}
  ${6}  | ${'600'} | ${'six hundred'}
  ${7}  | ${'700'} | ${'seven hundred'}
  ${8}  | ${'800'} | ${'eight hundred'}
  ${9}  | ${'900'} | ${'nine hundred'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(hundredTimes(value)).toBe(name)
})
