import tens from './tens'

it('should exist', () => {
  expect(tens).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tens).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tens).toHaveLength(1)
})

test.each`
  value | display | name
  ${1}  | ${'10'} | ${'dec'}
  ${2}  | ${'20'} | ${'vigin'}
  ${3}  | ${'30'} | ${'trigin'}
  ${4}  | ${'40'} | ${'quadragin'}
  ${5}  | ${'50'} | ${'quinquagin'}
  ${6}  | ${'60'} | ${'sexagin'}
  ${7}  | ${'70'} | ${'septuagin'}
  ${8}  | ${'80'} | ${'octogin'}
  ${9}  | ${'90'} | ${'nonagin'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tens(value)).toBe(name)
})
