import ones from './ones'

it('should exist', () => {
  expect(ones).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof ones).toBe('function')
})

it('should accept 1 argument', () => {
  expect(ones).toHaveLength(1)
})

test.each`
  value | display | name
  ${0}  | ${'0'}  | ${'sero'}
  ${1}  | ${'1'}  | ${'isa'}
  ${2}  | ${'2'}  | ${'dalawa'}
  ${3}  | ${'3'}  | ${'tatlo'}
  ${4}  | ${'4'}  | ${'apat'}
  ${5}  | ${'5'}  | ${'lima'}
  ${6}  | ${'6'}  | ${'anim'}
  ${7}  | ${'7'}  | ${'pito'}
  ${8}  | ${'8'}  | ${'walo'}
  ${9}  | ${'9'}  | ${'siyam'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(ones(value)).toBe(name)
})
