import tenTimes from './tenTimes'

it('should exist', () => {
  expect(tenTimes).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tenTimes).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tenTimes).toHaveLength(1)
})

test.each`
  value | display | name
  ${1}  | ${'10'} | ${'sampu'}
  ${2}  | ${'20'} | ${'dalawampu'}
  ${3}  | ${'30'} | ${'tatlumpu'}
  ${4}  | ${'40'} | ${'apatnapu'}
  ${5}  | ${'50'} | ${'limampu'}
  ${6}  | ${'60'} | ${'animnapu'}
  ${7}  | ${'70'} | ${'pitumpu'}
  ${8}  | ${'80'} | ${'walumpu'}
  ${9}  | ${'90'} | ${'siyamnapu'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tenTimes(value)).toBe(name)
})
