import hundreds from './hundreds'

it('should exist', () => {
  expect(hundreds).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof hundreds).toBe('function')
})

it('should accept 1 argument', () => {
  expect(hundreds).toHaveLength(1)
})

test.each`
  value | display  | name
  ${1}  | ${'100'} | ${'cen'}
  ${2}  | ${'200'} | ${'duocen'}
  ${3}  | ${'300'} | ${'trecen'}
  ${4}  | ${'400'} | ${'quadringen'}
  ${5}  | ${'500'} | ${'quingen'}
  ${6}  | ${'600'} | ${'sescen'}
  ${7}  | ${'700'} | ${'septingen'}
  ${8}  | ${'800'} | ${'octingen'}
  ${9}  | ${'900'} | ${'nongen'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(hundreds(value)).toBe(name)
})
