import tenTimes from './tenTimes'

it('should exist', () => {
  expect(tenTimes).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tenTimes).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tenTimes).toHaveLength(1)
})

test.each`
  value | display | name
  ${1}  | ${'10'} | ${'zehn'}
  ${2}  | ${'20'} | ${'zwanzig'}
  ${3}  | ${'30'} | ${'dreißig'}
  ${4}  | ${'40'} | ${'vierzig'}
  ${5}  | ${'50'} | ${'fünfzig'}
  ${6}  | ${'60'} | ${'sechzig'}
  ${7}  | ${'70'} | ${'siebzig'}
  ${8}  | ${'80'} | ${'achtzig'}
  ${9}  | ${'90'} | ${'neunzig'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tenTimes(value)).toBe(name)
})
