import { Digit } from '../../../../common'
import NAMES from '../../names'

interface Ones {
  (kiloOnes: Digit, special: boolean): string
}

const ones: Ones = (kiloOnes, special = false) =>
  special ? NAMES.kiloSpecialUnits[kiloOnes] : NAMES.kiloUnits[kiloOnes]

export default ones
