import ones from './ones'

it('should exist', () => {
  expect(ones).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof ones).toBe('function')
})

it('should accept 1 argument', () => {
  expect(ones).toHaveLength(1)
})

test.each`
  value | display | name
  ${0}  | ${'0'}  | ${'zero'}
  ${1}  | ${'1'}  | ${'one'}
  ${2}  | ${'2'}  | ${'two'}
  ${3}  | ${'3'}  | ${'three'}
  ${4}  | ${'4'}  | ${'four'}
  ${5}  | ${'5'}  | ${'five'}
  ${6}  | ${'6'}  | ${'six'}
  ${7}  | ${'7'}  | ${'seven'}
  ${8}  | ${'8'}  | ${'eight'}
  ${9}  | ${'9'}  | ${'nine'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(ones(value)).toBe(name)
})
