import tenPlus from './tenPlus'

it('should exist', () => {
  expect(tenPlus).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tenPlus).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tenPlus).toHaveLength(1)
})

test.each`
  value | display | name
  ${0}  | ${'10'} | ${'ten'}
  ${1}  | ${'11'} | ${'eleven'}
  ${2}  | ${'12'} | ${'twelve'}
  ${3}  | ${'13'} | ${'thirteen'}
  ${4}  | ${'14'} | ${'fourteen'}
  ${5}  | ${'15'} | ${'fifteen'}
  ${6}  | ${'16'} | ${'sixteen'}
  ${7}  | ${'17'} | ${'seventeen'}
  ${8}  | ${'18'} | ${'eighteen'}
  ${9}  | ${'19'} | ${'nineteen'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tenPlus(value)).toBe(name)
})
