import tenTimes from './tenTimes'

it('should exist', () => {
  expect(tenTimes).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tenTimes).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tenTimes).toHaveLength(1)
})

test.each`
  value | display | name
  ${1}  | ${'10'} | ${'ten'}
  ${2}  | ${'20'} | ${'twenty'}
  ${3}  | ${'30'} | ${'thirty'}
  ${4}  | ${'40'} | ${'forty'}
  ${5}  | ${'50'} | ${'fifty'}
  ${6}  | ${'60'} | ${'sixty'}
  ${7}  | ${'70'} | ${'seventy'}
  ${8}  | ${'80'} | ${'eighty'}
  ${9}  | ${'90'} | ${'ninety'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tenTimes(value)).toBe(name)
})
