import tenPlus from './tenPlus'

it('should exist', () => {
  expect(tenPlus).toBeDefined()
})

it('should be a callable', () => {
  expect(typeof tenPlus).toBe('function')
})

it('should accept 1 argument', () => {
  expect(tenPlus).toHaveLength(1)
})

test.each`
  value | display | name
  ${0}  | ${'10'} | ${'sampu'}
  ${1}  | ${'11'} | ${'labing-isa'}
  ${2}  | ${'12'} | ${'labindalawa'}
  ${3}  | ${'13'} | ${'labintatlo'}
  ${4}  | ${'14'} | ${'labing-apat'}
  ${5}  | ${'15'} | ${'labinlima'}
  ${6}  | ${'16'} | ${'labing-anim'}
  ${7}  | ${'17'} | ${'labimpito'}
  ${8}  | ${'18'} | ${'labingwalo'}
  ${9}  | ${'19'} | ${'labinsiyam'}
`('should return "$name" on $display', ({ value, name }) => {
  expect(tenPlus(value)).toBe(name)
})
