import { NumberSystem } from '../../common'
import getKiloCount from './getKiloCount'
import getShortKiloName from './getShortKiloName'
import joinKilo from './joinKilo'

const numberSystem: NumberSystem = {
  getKiloCount,
  getKiloName: {
    short: getShortKiloName,
  },
  joinKilo,
}

export default numberSystem
