import { JoinKilo } from '../../common'

const joinKilo: JoinKilo = (kiloCount, kiloName) => {
  const kiloCountLastLetter = kiloCount.slice(-1)
  let kiloCountSuffix = ' na '

  if (['a', 'o'].includes(kiloCountLastLetter)) {
    kiloCountSuffix = 'ng '
  }

  if ('n' === kiloCountLastLetter) {
    kiloCountSuffix = 'g '
  }

  return [kiloCount, kiloCountSuffix, kiloName].join('')
}

export default joinKilo
