import { NumberSystemNameTable } from '../../common'

const names: NumberSystemNameTable = {
  units: ['sero', 'isa', 'dalawa', 'tatlo', 'apat', 'lima', 'anim', 'pito', 'walo', 'siyam'],
  tenPlus: [
    'sampu',
    'labing-isa',
    'labindalawa',
    'labintatlo',
    'labing-apat',
    'labinlima',
    'labing-anim',
    'labimpito',
    'labingwalo',
    'labinsiyam',
  ],
  tenTimes: [
    'sero',
    'sampu',
    'dalawampu',
    'tatlumpu',
    'apatnapu',
    'limampu',
    'animnapu',
    'pitumpu',
    'walumpu',
    'siyamnapu',
  ],
  hundred: 'daan',
  thousand: 'libo',
  kiloSpecialUnits: ['', 'm', 'b', 'tr', 'kuwadr', 'kuwin', 'seks', 'sept', 'okt', 'non'],
  kiloUnits: ['', 'un', 'duwo', 'tre', 'kuwatuwor', 'kuwin', 'seks', 'septen', 'okto', 'nobem'],
  kiloTens: [
    '',
    'des',
    'bihin',
    'trihin',
    'kuwadrahin',
    'kuwinkuwahin',
    'seksahin',
    'septuwahin',
    'oktohin',
    'nonahin',
  ],
  kiloHundreds: [
    '',
    'sen',
    'duwosen',
    'tresen',
    'kuwadringhen',
    'kuwinghen',
    'sesen',
    'septinghen',
    'oktinghen',
    'nonghen',
  ],
  kiloThousand: 'milya',
  kiloEvenSuffix: 'lyon',
  kiloOddSuffix: 'lyard',
  and: 'at',
}

export default names
